Overview | Modules | Class Hierarchy | Classes | Members

# tlp::DoubleProperty Class Reference

`#include <DoubleProperty.h>`

Inherits tlp::AbstractProperty< DoubleType, DoubleType, DoubleAlgorithm >, and tlp::PropertyObserver.

Inheritance diagram for tlp::DoubleProperty:

[legend]
Collaboration diagram for tlp::DoubleProperty:

[legend]
List of all members.

## Public Member Functions

- DoubleProperty (Graph *, std::string n="")
- DoubleType::RealType getNodeMin (Graph *sg=0)
- DoubleType::RealType getNodeMax (Graph *sg=0)
- DoubleType::RealType getEdgeMin (Graph *sg=0)
- DoubleType::RealType getEdgeMax (Graph *sg=0)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void copy (const node, const node, PropertyInterface *)
- void copy (const edge, const edge, PropertyInterface *)
- void uniformQuantification (unsigned int)
- void clone_handler (AbstractProperty< DoubleType, DoubleType > &)
- virtual void beforeSetNodeValue (PropertyInterface *prop, const node n)
- virtual void beforeSetEdgeValue (PropertyInterface *prop, const edge e)
- virtual void beforeSetAllNodeValue (PropertyInterface *prop)
- virtual void beforeSetAllEdgeValue (PropertyInterface *prop)

## Friends

- class DoubleAlgorithm

## Constructor & Destructor Documentation

tlp::DoubleProperty::DoubleProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |

## Member Function Documentation

virtual void tlp::DoubleProperty::beforeSetAllEdgeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetEdgeValue | ( | PropertyInterface * | prop,
|  | const edge | e
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

void tlp::DoubleProperty::clone_handler | ( | AbstractProperty< DoubleType, DoubleType > & |  | ) |

PropertyInterface* tlp::DoubleProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::DoubleProperty::copy | ( | const | edge,
|  | const | edge,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::DoubleProperty::copy | ( | const | node,
|  | const | node,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

DoubleType::RealType tlp::DoubleProperty::getEdgeMax | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getEdgeMin | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMax | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMin | ( | Graph * | sg = `0` | ) |

void tlp::DoubleProperty::uniformQuantification | ( | unsigned | int | ) |

## Friends And Related Function Documentation

friend class DoubleAlgorithm`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010